.product-box-3 .product-footer .product-detail .unit {
    color: #02685b;
    display: inline-block;
    background: #ffffff;
    padding: 3px 5px;
    border-radius: 5px;
    border: 1px solid #ddd;
}

.label-flex .discount {
    font-weight: bold;
}

.label-flex {
    z-index: 2;
    font-size: 12px;
    justify-content: space-between;
}

.label-flex .product-type {
    font-size: 16px;
}

.offer-box .offer-contain {
    justify-content: center;
}

.product-section .right-box-contain .product-package .select-package.image li .form-check-label img {
    width: 45px;
    height: 45px;
}

.right-sidebar-modal .price-rating .price {
    font-weight: 600;
    font-size: calc(19px + 3*(100vw - 320px)/1600)
}

.right-sidebar-modal .price-rating .price del {
    font-weight: 400;
    font-size: calc(14px + 2*(100vw - 320px)/1600);
    margin: 0 calc(0px + 2*(100vw - 320px)/1600)
}

.right-sidebar-modal .price-rating .price span {
    font-size: calc(14px + 2*(100vw - 320px)/1600);
    font-weight: 500
}

.view-modal .modal-dialog .modal-content .modal-body .right-sidebar-modal .title-name {
    text-transform: capitalize;
}

.right-sidebar-modal ul.product-info-list li {
    margin-right: 5px;
}

.right-sidebar-modal ul.product-info-list li span {
    font-weight: bold;
}

.modal-button .qty-box {
    max-width: 150px;
    margin-top: 0px;
    margin-right: 10px;
}


.cart-table table tbody tr td .table-title {
    margin-bottom: 20px;
    font-size: 16px;
    font-weight: bold;
}

.cart-table table tbody tr td {
    padding-right: 10px;
    min-width: 0px;
}

.cart-table {
    padding: 20px 5px;
}

td.save-remove {
    text-align: center;
}

.cart-table table tbody tr td .quantity-price {
    width: 100%;
}

.cart-table table tbody tr td.product-detail .product .product-detail ul li.name {
    white-space: normal;
}

.fl-wrapper {
    z-index: 99999;
}

header .onhover-dropdown .onhover-div .cart-list li .drop-cart .drop-contain h5 {
    font-weight: bold;
    white-space: normal;
}

.add-to-cart-box .btn-add-cart {
    background: #E65100;
    background: linear-gradient(90deg, rgba(230, 81, 0, 1) 27%, rgba(255, 111, 0, 1) 92%);
    color: #fff;
    font-weight: bold;
    text-transform: capitalize;
    font-size: calc(16px + 1*(100vw - 320px)/1600);
}

.product-section .right-box-contain .note-box .cart-button,
.view-modal .modal-dialog .modal-content .modal-body .right-sidebar-modal .modal-button .add-cart-button,
.button-group ul li button.proceed-btn,
.place-order-btn,
.btn-login,
.btn-auth-gradiant,
.track-btn {
    background: #E65100;
    background: linear-gradient(90deg, rgba(230, 81, 0, 1) 27%, rgba(255, 111, 0, 1) 92%);
    font-size: 18px;
}

header .onhover-dropdown .onhover-div .cart-list li {
    width: 285px;
}

header .onhover-dropdown .onhover-div .cart-list li .drop-cart .drop-image img {
    padding: 2px;
}

.summery-box .summery-contain .coupon-cart .coupon-box .btn-apply {
    padding: 0 calc(5px + 14*(100vw - 320px) / 1600);
}

.summery-box .summery-contain li h4.price {
    font-size: 16px;
    font-weight: bold;
}

.checkout-section-2 .right-side-summery-box .summery-box-2 .summery-contain ul li h4.price {
    font-size: 16px;
    font-weight: bold;
}

.checkout-section-2 .right-side-summery-box .summery-box-2 .summery-total li:last-child h4 {
    font-weight: bold;
}

.checkout-section-2 .right-side-summery-box .summery-box-2 .summery-total li h4 {
    color: #4a5568;
}

.fl-main-container .fl-container.fl-flasher {
    background-color: #fff !important;
    color: #4b5563 !important;
}

.cart-table table tbody tr td.product-detail .product .product-detail ul li:nth-child(n+4) {
    display: block;
}

.deal-detail h6.unit {
    color: #02685b;
    display: inline-block;
    background: #ffffff;
    padding: 3px 5px;
    border-radius: 5px;
    border: 1px solid #ddd;
}

.deal-section .deal-box .deal-detail .price span,
.deal-section .deal-box .deal-detail .price b {
    font-size: 16px;
}

.deal-section .deal-box .deal-detail .price {
    font-size: 20px;
}

.deal-detail .simply-section {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    width: 55px;
    height: 55px;
    position: relative;
    background-color: #ececec;
    padding: 8px;
    border-radius: 5px;
}

.deal-detail .simply-section div {
    font-size: calc(16px + 2*(100vw - 320px)/1600);
    display: block;
    text-align: center;
}

.deal-detail .simply-countdown.simply-countdown-one div+div::after {
    content: ":";
    position: absolute;
    top: 50%;
    -webkit-transform: translateY(-50%);
    transform: translateY(-50%);
    font-weight: bolder;
    left: -10px;
}

.deal-detail .simply-section span {
    display: block;
}

.deal-detail .simply-countdown.simply-countdown-one div+div {
    margin-left: 15px;
}

span.simply-word {
    font-size: calc(13px + 1 * (100vw - 320px) / 1600);
    line-height: 1.2;
    margin: 0;
    font-weight: 400;
    text-transform: capitalize;
}

header .header-nav .header-nav-left .category-dropdown .category-list li a i:first-child {
    margin-left: 0px;
}

.accordion-item .accordion-body .category-list li a {
    display: flex;
    justify-content: space-between !important;
    font-size: 16px;
    color: #333;
}

.delivery-address-box.active-address {
    border: 5px solid #dc4d00;
}

div#searchResult {
    width: 100%;
    z-index: 200;
}

.search-load {
    width: 20px;
    height: 20px;
}

.header-offer h2 {
    text-align: center;
    color: #fff;
    font-size: 18px;
    line-height: 25px;
}

.header-offer h2 a {
    color: #fff;
    margin-left: 10px;
}

.product-box-3 .product-header .product-header-top .wishlist-button {
    width: 20px;
    height: 20px;
    color: #dc3545;
}

.footer .sub-footer ul li {
    font-size: 16px;
}

header .top-nav .navbar-top .web-logo img {
    width: calc(150px + 42*(100vw - 320px)/1600);
}

footer .main-footer .footer-logo .theme-logo a img {
    width: calc(200px + 40 * (100vw - 320px) / 1600);
}

footer .main-footer .footer-contact ul li {
    margin-bottom: 25px !important;
}

footer .main-footer .footer-contact ul li::before {
    bottom: -12px !important;
}

footer .main-footer {
    border-top: 0px;
}

header .navbar.navbar-expand-xl .navbar-nav .nav-link::before {
    content: none;
}

.product-box-3 .product-footer .product-detail .name {
    font-size: calc(18px + 1*(100vw - 320px)/1600);
}

.product-box-3 .product-footer .price span {
    font-size: calc(18px + 1*(100vw - 320px)/1600);
}

.product-box-3 .product-footer .price del {
    font-size: calc(16px + 1*(100vw - 320px)/1600);
}

.deal-section .deal-box .deal-detail h5 {
    font-size: calc(20px + 2*(100vw - 320px)/1600);
}

.product-box-3 .product-header .product-image img {
    height: calc(160px + 40*(100vw - 320px)/1600);
    object-fit: cover;
}

.product-box-3 .product-header {
    background-color: #fff;
}

.date-list {
    border-top: 1px solid #ddd;
    padding: 20px;
    border-bottom: 1px solid #ddd;
}

.date-list p {
    margin-bottom: 10px;
    font-size: 14px;
    font-weight: 400;
    line-height: 18px;
    color: #000;
}

.date-list .or-date {
    padding-right: 30px;
    font-size: 14px;
    line-height: 20px;
    font-weight: 400;
    color: rgb(0, 0, 0);
}

.date-list .or-status {
    font-size: 14px;
    line-height: 20px;
    font-weight: 500;
    color: rgb(0, 0, 0);
    padding-left: 30px;
    border-left: 2px solid rgb(0, 0, 0);
}

.order-detail .progtrckr li.progtrckr-done.done-progress::before {
    font-family: "Font Awesome 6 Free";
    font-weight: 900;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    width: 30px;
    height: 30px;
    padding-top: 2px;
    content: "";
    color: #fff;
    background-color: #0baf9a;
    line-height: 35px;
    border: none;
    border-radius: 35px;
    font-size: 16px;


}

.order-detail .progtrckr li.progtrckr-done::before {
    font-family: "Font Awesome 6 Free";
    font-weight: 900;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    width: 30px;
    height: 30px;
    padding-top: 2px;
    content: " ";
    color: #fff;
    line-height: 35px;
    border-radius: 35px;
    font-size: 16px;
}

.order-detail .progtrckr li.progtrckr-done.close-order::before {
    background-color: #da0606;
    content: "\f00d";
}

.order-detail .progtrckr li.progtrckr-done.close-order {
    border-color: #da0606;
}

.product-box-3 .product-header .product-image {
    padding: 10px;
}

.product-review-form .review-box .product-review-rating .product-rating .rating li i {
    font-size: 40px;
    color: #ed7f0a;
}

.product-review-form .review-box .product-review-rating .product-rating .rating li i:hover {
    cursor: pointer;
}

.product-rating.custom-rate ul li i {
    font-size: 18px;
    color: #f56d0ae0;
}

.product-section-box .review-box .review-people .review-list li .people-box .people-comment .people-name .product-rating ul li i {
    color: #ff7800;
    font-size: 16px;
}

.review-title-2 button {
    width: 100%;
    padding: 10px 14px;
    background-color: #ff9000 !important;
    color: #ffffff !important;
    border: 1px solid #eee !important;
    font-size: 18px;
}

.log-in-section .inputs input.otp-digit {
    font-size: 20px;
}


.log-in-section .log-in-box .forgot-password {
    margin: 10px 0px;
    text-align: center;
    color: #483c3c;
}

.user-dropdown-menu li a {
    font-size: 16px;
    padding: 8px 15px;
    color: #202020;
    font-weight: 400;
}

.order-detail .progtrckr li.progtrckr-done.done-progress::before {
    background-color: #E65100;
}

header .top-nav .navbar-top .middle-box .search-box .input-group button {
    background-color: #FF6F00;
    border-color: #FF6F00;
}

header .header-nav .header-nav-left .dropdown-category {
    background: #E65100;
    background: linear-gradient(90deg, rgba(230, 81, 0, 1) 25%, rgba(255, 111, 0, 1) 65%);
}

.mobile-cart-count {
    right: 30px;
}

.product-box-3 .product-footer .product-detail .name {
    line-height: calc(25px + 3*(100vw - 320px)/1600);
}

.custom-page-content li {
    display: block;
}

.mobile-menu {
    z-index: 10;
}

header .navbar {
    z-index: 8;
}

div#searchResult .list-group {
    max-height: 240px;
    overflow-y: auto;
}

header .header-nav .header-nav-left .category-dropdown .category-list li a {
    font-size: 16px;
}

@media (max-width: 767px) {
    header .header-nav .header-nav-left .category-dropdown {
        overflow-y: auto;
    }

    header .header-nav .header-nav-left .category-dropdown.show {
        z-index: 15;
    }

    .shop-section .show-button .top-filter-menu .category-dropdown {
        display: block;
        text-align: center;
    }

    header .header-nav .header-nav-left .category-dropdown .category-list li.onhover-category-list {
        padding: 5px 0px;
    }

    header .onhover-category-list .onhover-category-box {
        padding: 0px 10px;
    }

    header .onhover-category-list .list-1 {
        margin-bottom: 0px;
    }

    header .header-nav .header-nav-left .category-dropdown .category-list {
        gap: 5px;
    }

    .cart-table table tbody tr td .quantity-price .cart_qty input {
        margin-left: 1px !important;
    }
}

/* cart details page */

.cart-card {
    border: none;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.05);
}

.product-image-container {
    position: relative;
    display: inline-block;
}

.cart-item-row {
    border-bottom: 1px solid #f0efef;
}

.cart-item-row:last-child {
    border-bottom: none;
}

.product-img {
    max-width: 120px;
    height: auto;
}


.price-text {
    font-size: 1.4rem;
    font-weight: 600;
}

/* Quantity input styling */
.quantity-input-group {
    width: 120px;
}

.quantity-input-group .form-control {
    text-align: center;
    border-color: #ced4da;
}

.quantity-input-group .btn {
    border-color: #ced4da;
}

/* Responsive adjustments */
@media (max-width: 767.98px) {
    .product-img {
        max-width: 90px;
    }

    .cart-item-row {
        border-bottom: 1px solid #b8b4b4;
        padding-bottom: 15px;
        margin-bottom: 15px;
    }

    .cart-item-row:last-child {
        border-bottom: none;
    }


    .mobile-controls-container {
        /* Ensure controls are flexed correctly on mobile */
        display: flex;
        justify-content: space-between;
        align-items: center;
        width: 100%;
    }
}

@media (min-width: 768px) {

    /* Desktop view adjustments */
    .desktop-controls-container {
        display: flex;
        flex-direction: column;
        align-items: flex-end;
        height: 100%;
        justify-content: space-between;
    }
}


/* social message  */

.quick-social-message {
    position: fixed;
    right: 20px;
    bottom: 5%;
    z-index: 100;
}

.quick-social-message a {
    display: block;
    margin-bottom: 15px;
}

.quick-social-message a img {
    width: 55px;
}


@media (max-width: 767.98px) {
    .sticky-bottom-mobile {
        position: fixed !important;
        bottom: 66px !important;
        left: 0;
        width: 100%;
        background-color: #ffffff;
        padding: 12px 15px;
        box-shadow: 0 -4px 10px rgba(0, 0, 0, 0.08);
        z-index: 1024 !important;
        transform: translateZ(0);
        margin: 0 !important;
    }

    .product-section .right-box-contain,
    .checkout-section-2 .right-side-summery-box,
    .p-sticky {
        position: relative;
    }

    .sticky-bottom-mobile .btn {
        width: 100% !important;
        margin-top: 0 !important;
        font-size: 18px !important;
        background: #b42b00 !important;
    }

    .summery-box,
    .right-side-summery-box {
        padding-bottom: 80px !important;
    }

    .quick-social-message {
        bottom: 25%;
        right: 5px;
    }

    .checkout-section-2 .left-sidebar-checkout .checkout-detail-box>ul>li .checkout-box .checkout-title h4 {
        font-size: 18px;
        text-align: center;
    }

    .checkout-section-2.section-b-space,
    .cart-section.section-b-space {
        padding-top: 0px;
    }

    .theme-form-floating label{
        font-size: 14px;
        font-weight: bold;
    }
    .checkout-section-2 .left-sidebar-checkout .checkout-detail-box>ul>li .checkout-box .checkout-title{
        display: block;
    }

    .modal-fullscreen-sm-down .modal-body{
        background:#fff;
    }

    .quantity-input-group .btn {
        z-index: 0;
    }
}